
Redmine - Feature #7557

Deny editing of descriptions of closed issues

2011-02-05 22:28 - Ве Fio

Status: Closed Start date: 2011-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When a project is marked as "closed" I think it'd be a reasonable default to deny editing the description.

As there's no history for the description this would allow opening editing to restriced roles until the task is finished - while denying it

afterwards.

Related issues:

Related to Redmine - Patch #7444: Patch for improved issue edit permissions Closed 2011-01-25

Related to Redmine - Patch #2685: Display notice when commenting on closed ti... New 2009-02-06

Related to Redmine - Feature #13814: No more comments when ticket closed New

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2011-02-06 23:08 - Etienne Massip

- Tracker changed from Defect to Feature

#2 - 2011-02-08 19:34 - Brian Lindahl

Similar feature implemented in patch #7444:

subjects/descriptions are denied editing once the issue has been assigned (once the workflow has begun)

Note that this patch also implements other issue permissions.

#3 - 2011-02-09 14:37 - Ве Fio

Interesting. Our typical workflow is to assign the issue beforehand and start ("In Progress") it later.

Thus #7444 "edit the issue until the issue has been assigned." won't be applicable.

The main use case would be:

Deny lower priviledged users to change history.

The desriptions of maybe long past issues would be preserved in the state they were when "Closed".

#4 - 2011-02-09 18:34 - Brian Lindahl

How can an issue be 'In Progress' without someone working on it (assigned to someone)? I can't see how that makes sense.

#5 - 2011-02-10 20:54 - Ве Fio

Brian Lindahl wrote:

I can't see how that makes sense.

 It doesn't ;)

As stated we first assign the issue and set it to "In Progress" later.

#6 - 2011-02-10 23:13 - Brian Lindahl

Ahh, I misread. Probably due to the confusion in that once an issue is assigned, we consider the workflow to be started (at least someone besides

the author has taken note of the issue). Rather than your team, where it appears that you consider the workflow to be started once someone is

actively working on it (In Progress).
#7 - 2012-07-15 18:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented as part of #3521 for 2.1.0. You can now make the description read-only for a given status.
